﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Sub2
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnAdd_Click(object sender, EventArgs e)
        {
            if (txtISBN.Text == "" || txtAuthor.Text == ""
                || txtTitle.Text == "" || txtNrVol.Text == "")
            {
                MessageBox.Show("Nu ati completat toate campurile!");
                return;
            }
            int isbn;
            if (int.TryParse(txtISBN.Text, out isbn) == false)
            {
                MessageBox.Show("ISBN trebuie sa fie numar natural!");
   
                return;
            }
            int nrvol;
            if (int.TryParse(txtNrVol.Text, out nrvol) == false)
            {
                MessageBox.Show("Nr de volume trebuie sa fie numar natural!");
   
                return;
            }

            cartiTableAdapter.AddBook(
                isbn, 
                txtAuthor.Text,
                txtTitle.Text, dtp.Value.ToString(), 
                nrvol);
            this.cartiTableAdapter.Fill(this.bibliotecaDataSet.Carti);
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'bibliotecaDataSet.Carti' table. You can move, or remove it, as needed.
            this.cartiTableAdapter.Fill(this.bibliotecaDataSet.Carti);

        }

        private void txtSearch_TextChanged(object sender, EventArgs e)
        {
            if (txtSearch.Text == "")
                cartiTableAdapter.Fill(bibliotecaDataSet.Carti);
            else
                cartiTableAdapter.SelectByVolumes(bibliotecaDataSet.Carti, int.Parse(txtSearch.Text));
        }
    }
}
